Click or drag to resize
CurveGetFilletPoints Method
Finds points at which to cut a pair of curves so that a fillet of given radius can be inserted.

Namespace: Rhino.Geometry
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public static bool GetFilletPoints(
	Curve curve0,
	Curve curve1,
	double radius,
	double t0Base,
	double t1Base,
	out double t0,
	out double t1,
	out Plane filletPlane
)

Parameters

curve0
Type: Rhino.GeometryCurve
First curve to fillet.
curve1
Type: Rhino.GeometryCurve
Second curve to fillet.
radius
Type: SystemDouble
Fillet radius.
t0Base
Type: SystemDouble
Parameter value for base point on curve0.
t1Base
Type: SystemDouble
Parameter value for base point on curve1.
t0
Type: SystemDouble
Parameter value of fillet point on curve 0.
t1
Type: SystemDouble
Parameter value of fillet point on curve 1.
filletPlane
Type: Rhino.GeometryPlane
The fillet is contained in this plane with the fillet center at the plane origin.

Return Value

Type: Boolean
true on success, false on failure.
Remarks
A fillet point is a pair of curve parameters (t0,t1) such that there is a circle of radius point3 tangent to curve c0 at t0 and tangent to curve c1 at t1. Of all possible fillet points this function returns the one which is the closest to the base point t0Base, t1Base. Distance from the base point is measured by the sum of arc lengths along the two curves.
See Also